OpenVDB 12.1.0

Loading...
Searching...
No Matches
RootNode< ChildT >::ValueIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::ValueIter< RootT >:

## Public Member Functions
__hostdev__ | ValueIter ()
__hostdev__ | ValueIter (RootT *parent)
__hostdev__ ValueType | operator* () const
__hostdev__ bool | isActive () const
__hostdev__ ValueIter & | operator++ ()
__hostdev__ ValueIter | operator++ (int)
__hostdev__ | operator bool () const
__hostdev__ uint32_t | pos () const
__hostdev__ TileT * | tile () const
__hostdev__ CoordType | getOrigin () const
__hostdev__ CoordType | getCoord () const

## Protected Types
using | DataT = typename util::match_const<DataType, RootT>::type
using | TileT = typename util::match_const<Tile, RootT>::type

## Member Typedef Documentation

## ◆ DataT

template<typename ChildT>
template<typename RootT>

using DataT = typename util::match_const<DataType, RootT>::type
| protected inherited

## ◆ TileT

template<typename ChildT>
template<typename RootT>

using TileT = typename util::match_const<Tile, RootT>::type
| protected inherited

## Constructor & Destructor Documentation

## ◆ ValueIter() [1/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueIter | ( |  | ) |
| inline

## ◆ ValueIter() [2/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueIter | ( | RootT * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getCoord | ( |  | ) | const
| inline inherited

## ◆ getOrigin()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getOrigin | ( |  | ) | const
| inline inherited

## ◆ isActive()

template<typename ChildT>
template<typename RootT>

__hostdev__ bool isActive | ( |  | ) | const
| inline

## ◆ operator bool()

template<typename ChildT>
template<typename RootT>

__hostdev__ operator bool | ( |  | ) | const
| inline inherited

## ◆ operator*()

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueType operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueIter & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename ChildT>
template<typename RootT>

__hostdev__ ValueIter operator++ | ( | int |  | ) |
| inline

## ◆ pos()

template<typename ChildT>
template<typename RootT>

__hostdev__ uint32_t pos | ( |  | ) | const
| inline inherited

## ◆ tile()

template<typename ChildT>
template<typename RootT>

__hostdev__ TileT * tile | ( |  | ) | const
| inline inherited